$NetBSD: patch-aa,v 1.2 2006/03/09 14:50:31 ghen Exp $

--- src/mgpspoint.orig	2006-03-09 15:32:06.000000000 +0100
+++ src/mgpspoint
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -x
 
 
 
@@ -10,7 +11,7 @@ if [ $GPSPOINT="" ]; then
    GPSPOINT=$(which gpspoint);
 fi
 
-if [$GPSPORT=""]; then
+if [ $GPSPORT="" ]; then
    GPSPORT=/dev/gps
 fi
 
@@ -19,7 +20,7 @@ if [ $GPSDATADIR="" ]; then
 fi
 
 tempfile=`tempfile -p GPSPT 2>/dev/null` || tempfile=/tmp/test$$
-trap "rm -f $tempfile" 0 1 2 5 15
+#trap "rm -f $tempfile" 0 1 2 5 15
 
 WAYPOINTS=true;
 ROUTES=false;
@@ -28,7 +29,7 @@ TRACKS=false;
 ############################################################# main menu
 QUIT=0;
 while [ $QUIT = 0 ]; do
-   $DIALOG --clear --nocancel --title "mgpspoint - main" \
+   $DIALOG --clear --title "mgpspoint - main" \
       --menu "Welcome to menu for gpspoint. Mayby check settings first\
 			and try info afterwards. Have fun. " 16 51 8 \
       "about" "" \
@@ -81,7 +82,7 @@ while [ $QUIT = 0 ]; do
 			FILE=$(date  +%y-%m-%d_somegpsdata.gpd);
          while  $DOWNLOADMENU ; do
 				DOWNLOAD=true;
-            $DIALOG --title "mgpspoint - download" --clear --nocancel --menu "" 15 50 10 \
+            $DIALOG --title "mgpspoint - download" --clear --menu "" 15 50 10 \
                "continue" ""\
                "waypoints" "$WAYPOINTS"  \
                "routes" "$ROUTES"  \
@@ -138,7 +139,7 @@ while [ $QUIT = 0 ]; do
 			FILE=$(date  +%y-%m-%d_somegpsdata.gpd);
          while  $UPLOADMENU ; do
 				UPLOAD=true;
-            $DIALOG --title "mgpspoint - UPload" --clear --nocancel --menu "" 15 50 10 \
+            $DIALOG --title "mgpspoint - UPload" --clear --menu "" 15 50 10 \
                "continue" ""\
                "waypoints" "$WAYPOINTS"  \
                "routes" "$ROUTES"  \
@@ -192,7 +193,7 @@ while [ $QUIT = 0 ]; do
       settings) ####################################################### settings
          QUITSETTINGS=0;
          while [ $QUITSETTINGS = 0 ]; do
-            $DIALOG --clear --nocancel --title "mgpspoint - settings" \
+            $DIALOG --clear --title "mgpspoint - settings" \
                --menu "choose:" 16 51 8 \
                "back" ""\
                "GPSPOINT" "$GPSPOINT"\
